# mail_user_add($session_id, $client_id, $params);

Description:

Adds a mail user.

Input Variables:

$session_id, $client_id, $params

Parameters (in $params):

server_id (int(11))

email (varchar(255))

login (varchar(255))

password (varchar(255))

_ispconfig_pw_crypted (int(11)) Set to 1 to indicate that the password is already crypted.

name (varchar(255))

uid (int(11))

gid (int(11))

maildir (varchar(255))

quota (bigint(20))

cc (varchar(255))

homedir (varchar(255))

autoresponder (enum('n','y'))

autoresponder_start_date (datetime)

autoresponder_end_date (datetime)

autoresponder_text (mediumtext)

autoresponder_subject (varchar(255))

move_junk (enum('y','a','n'))

custom_mailfilter (mediumtext)

postfix (enum('n','y'))

access (enum('n','y'))

disableimap (enum('n','y'))

disablepop3 (enum('n','y'))

disabledeliver (enum('n','y'))

disablesmtp (enum('n','y'))

Output:

Returns the ID of the newly added mail user.